stages:
  # Définition des étapes du pipeline
  - build

variables:
  DOCKER_LOGIN_USERNAME: "runner"
  DOCKER_LOGIN_PASSWORD: "glpat-crecVwHC4QBBhP5x1xeV"

build:
  stage: build
    # docker login asks for the password to be passed through stdin for security
  # we use $CI_JOB_TOKEN here which is a special token provided by GitLab
  script:
    - docker login -u $DOCKER_LOGIN_USERNAME -p $DOCKER_LOGIN_PASSWORD git.squeezer-software.com:5050
    - docker build -t test .
    - docker push test
